package com.kingdee.eas.custom.synctask.handler;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.eas.custom.synctask.utils.SynctaskUtils;
import com.kingdee.eas.hr.org.web.handler.OrgUnitListHandler;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.base.syssetting.exception.ShrWebBizException;
import com.kingdee.util.StringUtils;
import org.apache.log4j.Logger;
import org.springframework.ui.ModelMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author qingwu
 * @date 2024/10/21
 * @apiNote
 */
public class OrgUnitListHandlerEx extends OrgUnitListHandler {
    Logger logger = Logger.getLogger("com.kingdee.eas.custom.synctask.handler.OrgUnitListHandlerEx");
    private Context ctx = SHRContext.getInstance().getContext();

    public void syncOrgUnitToOAAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap) throws SHRWebException {
        String billIds = request.getParameter("billIds");
        try {
            SynctaskUtils synctaskUtils = new SynctaskUtils();
            synctaskUtils._syncOrgUnitToOA(ctx, billIds == "" ? null : billIds, null);
        } catch (Exception e) {
            e.printStackTrace();
            throw new RuntimeException(e);
        }
    }
}
